Bug 178893 - Mono not correctly exporting symbols
Mono not correctly exporting symbols
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2006-01-25 04:40 EST by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-26 05:42:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2006-01-25 04:40:39 EST
Description of problem:
After creating an rpm for ikvm, it looks like mono is not exporting symbols
correctly. rpm -ihv ikvm-0.22-1.x86_64.rpm comes up with 

mono(IKVM.GNU.Classpath) = is needed by ikvm-0.22-1.x86_64

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Grab the src rpm from
2. build the rpm and attempt to install
Actual results:
rpm install reports mono(IKVM.GNU.Classpath) = is needed by

Expected results:
rpm install should work

Additional info:
As this is a package I'm trying to get into extras, it could be me that's made
the mistake. The problem is though that no errors where generated, so it could
be that mono is exporting correctly, but the rpm database is naffed.
Comment 1 Alexander Larsson 2006-01-26 05:42:06 EST
Yes, i think this might be a packaging error on your part. There is no way that
mono should provide IKVM.GNU.Classpath, which i assume is the java library
implementation "Gnu Classpath" compiled for .Net.

This library is in lib/ in the ikvm tarball, but doesn't seem to be in your package.

Note You need to log in before you can comment on or make changes to this bug.